Get Company Calendar Events
curl --request GET \
--url https://api.rangler.co/v1/calendar/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/calendar/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/calendar/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market": "<string>",
"event_type": "financial_results",
"status": "scheduled",
"title": "<string>",
"event_date": "2023-12-25",
"date_precision": "date",
"timezone": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"logo_url": "<string>",
"sector": "<string>",
"exchange": "<string>",
"market_cap_display": "<string>"
},
"sources": [
{
"kind": "<string>",
"label": "<string>",
"external_id": "<string>",
"url": "<string>",
"title": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"effective_date": "2023-12-25",
"initial_scheduled_date": "2023-12-25",
"revised_scheduled_date": "2023-12-25",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"scheduled_date": "2023-12-25",
"scheduled_at": "2023-11-07T05:31:56Z",
"actual_date": "2023-12-25",
"actual_at": "2023-11-07T05:31:56Z",
"initial_scheduled_date": "2023-12-25",
"revised_scheduled_date": "2023-12-25",
"fiscal_year": 123,
"fiscal_period": "<string>",
"period_end": "2023-12-25",
"reported_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"summary": {
"total": 123,
"scheduled": 123,
"reported": 123,
"today": 123,
"next_7_days": 123,
"busiest_day_count": 123,
"busiest_day": "2023-12-25"
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Calendar
Get Company Calendar Events
List company events within a date range, including board meetings, AGMs, and EGMs.
Requires paid access.
GET
/
v1
/
calendar
/
events
Get Company Calendar Events
curl --request GET \
--url https://api.rangler.co/v1/calendar/events \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/calendar/events"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/calendar/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"market": "<string>",
"event_type": "financial_results",
"status": "scheduled",
"title": "<string>",
"event_date": "2023-12-25",
"date_precision": "date",
"timezone": "<string>",
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"ticker": "<string>",
"logo_url": "<string>",
"sector": "<string>",
"exchange": "<string>",
"market_cap_display": "<string>"
},
"sources": [
{
"kind": "<string>",
"label": "<string>",
"external_id": "<string>",
"url": "<string>",
"title": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"effective_date": "2023-12-25",
"initial_scheduled_date": "2023-12-25",
"revised_scheduled_date": "2023-12-25",
"filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"signal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"description": "<string>",
"scheduled_date": "2023-12-25",
"scheduled_at": "2023-11-07T05:31:56Z",
"actual_date": "2023-12-25",
"actual_at": "2023-11-07T05:31:56Z",
"initial_scheduled_date": "2023-12-25",
"revised_scheduled_date": "2023-12-25",
"fiscal_year": 123,
"fiscal_period": "<string>",
"period_end": "2023-12-25",
"reported_filing_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"summary": {
"total": 123,
"scheduled": 123,
"reported": 123,
"today": 123,
"next_7_days": 123,
"busiest_day_count": 123,
"busiest_day": "2023-12-25"
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Query Parameters
Required string length:
2 - 16Available options:
all, tracked Maximum string length:
128Maximum string length:
100Filter by ISO 3166-1 alpha-2 market country code